/**
 * Copyright (C) 2005-2006 Funambol
 *
 *  This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.funambol.email.inboxlistener.engine;



/**
 *
 * @version $Id: MSAccount.java,v 1.5 2006/04/27 15:31:14 gbmiglia Exp $
 */
public class MSAccount
{

    /** mail server info */
    private String  host;
    private String  protocol;
    private int     port;
    private boolean isSSL;
    private String  keystorePath;
    private  String keystorePassphrase;
   /** polling time  */
   private int     interval = 0;

   /**
    *
    */
    public MSAccount(String _host,
                     boolean _isSSL,
                     String  _protocol,
                     int _port,
                     int _interval,
                     String _keystorePath,
                     String keystorePassphrase)
    {
        this.host         = _host;
        this.isSSL        = _isSSL;
        this.protocol     = _protocol;
        this.port         = _port;
        this.interval     = _interval;
        this.keystorePath = _keystorePath;
        this.keystorePassphrase = keystorePassphrase;

   }

   /**
    *
    */
   public String getHost(){
      return this.host;
   }

   /**
    *
    */
   public String getProtocol(){
      return this.protocol;
   }

   /**
    *
    */
   public boolean getIsSSL(){
      return this.isSSL;
   }

   /**
    *
    */
   public int getPort(){
      return this.port;
   }

   /**
    *
    */
   public int getInterval(){
      return this.interval;
   }

   /**
    *
    */
   public String getKeystorePath(){
      return this.keystorePath;
   }

    public String getKeystorePassphrase()
    {
        return keystorePassphrase;
    }
}
