package com.funambol.email.items.model;

import com.funambol.email.util.Def;

import java.util.Date;

/**
 * User: Alexandru Deac
 * Date: Apr 17, 2006 5:44:31 AM
 */
public class EmailFilter {
    /**
     * filters
     */
    private String Id = null;//  no id filter
    private Date time = null;//  no time filter
    private String timeClause = "GE";//  great/equals
    private int folder = Def.FILTER_FOLDER_IOS;
    private int size = Def.FILTER_SIZE_H_B_A;
    private int numBytes = 0;// def. no limit

    /**
     *
     * @return the value of the property id
     */
    public String getId() {
        return Id;
    }

    /**
     * @param id
     */
    public void setId(String id) {
        this.Id = id;
    }

    /**
     * @return the value of the property time
     */
    public Date getTime() {
        return time;
    }

    /**
     *
     * @param time
     */
    public void setTime(Date time) {
        this.time = time;
    }

    /**
     *
     * @return the value of the property timeClause
     */
    public String getTimeClause() {
        return timeClause;
    }

    /**
     *
     * @param timeClause
     */
    public void setTimeClause(String timeClause) {
        this.timeClause = timeClause;
    }

    /**
     *
     * @return the value of the property folder
     */
    public int getFolder() {
        return folder;
    }

    /**
     *
     * @param folder
     */
    public void setFolder(int folder) {
        this.folder = folder;
    }

    /**
     *
     * @return the value of the property size
     */
    public int getSize() {
        return size;
    }

    /**
     *
     * @param size
     */
    public void setSize(int size) {
        this.size = size;
    }

    /**
     *
     * @return the value of the property numBytes
     */
    public int getNumBytes() {
        return numBytes;
    }

    /**
     *
     * @param numBytes
     */
    public void setNumBytes(int numBytes) {
        this.numBytes = numBytes;
    }

    /**
     * <p>Returns a string representation of the object</p>
     * @return String
     */
    public String toString() {
        return "folderFilter " + this.folder +
                        "\nidFilter     " + this.Id +
                        "\ntimeFilter   " + this.time +
                        "\nsizeFilter   " + this.size +
                        "\nnumBytes     " + this.numBytes;
    }
}
