/**
 * Copyright (C) 2005-2006 Funambol
 *
 *  This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.funambol.email.items.model;

import com.funambol.email.util.Def;

/**
 *
 * @version $Id: DefaultFolder.java,v 1.1 2006/03/14 16:31:16 gbmiglia Exp $
 */
public class DefaultFolder {


    private String inboxName;
    private String inboxId;

    private String outboxName;
    private String outboxId;

    private String sentName;
    private String sentId;

    private String draftName;
    private String draftId;

    private String trashName;
    private String trashId;


    public DefaultFolder(String i, String o, String s, String d, String t){
        this.inboxName  = i;
        this.inboxId    = Def.FOLDER_INBOX_ID;
        this.outboxName = o;
        this.outboxId   = Def.FOLDER_OUTBOX_ID;
        this.sentName   = s;
        this.sentId     = Def.FOLDER_SENT_ID;
        this.draftName  = d;
        this.draftId    = Def.FOLDER_DRAFTS_ID;
        this.trashName  = t;
        this.trashId    = Def.FOLDER_TRASH_ID;
    }

    public String getInboxName() {
        return inboxName;
    }

    public String getInboxId() {
        return inboxId;
    }

    public String getOutboxName() {
        return outboxName;
    }

    public String getOutboxId() {
        return outboxId;
    }

    public String getSentName() {
        return sentName;
    }

    public String getSentId() {
        return sentId;
    }

    public String getDraftName() {
        return draftName;
    }

    public String getDraftId() {
        return draftId;
    }

    public String getTrashName() {
        return trashName;
    }

    public String getTrashId() {
        return trashId;
    }

    public void setInboxName(String inboxName) {
        this.inboxName = inboxName;
    }

    public void setOutboxId(String outboxId) {
        this.outboxId = outboxId;
    }

    public void setInboxId(String inboxId) {
        this.inboxId = inboxId;
    }

    public void setOutboxName(String outboxName) {
        this.outboxName = outboxName;
    }

    public void setSentName(String sentName) {
        this.sentName = sentName;
    }

    public void setSentId(String sentId) {
        this.sentId = sentId;
    }

    public void setDraftName(String draftName) {
        this.draftName = draftName;
    }

    public void setDraftId(String draftId) {
        this.draftId = draftId;
    }

    public void setTrashName(String trashName) {
        this.trashName = trashName;
    }

    public void setTrashId(String trashId) {
        this.trashId = trashId;
    }


}
