--
-- Initialization data for the Email Connector module
--
-- @version $Id: init_schema.sql,v 1.5 2006/04/11 16:50:40 gbmiglia Exp $ 
--


--
-- Source registration
--

delete from fnbl_sync_source_type where id='email-pop3';
insert into fnbl_sync_source_type(id, description, class, admin_class) values('email-pop3','Email Pop3 SyncSource','com.funambol.email.engine.source.PopEmailSyncSource','com.funambol.email.admin.EmailSyncSourceConfigPanelEnt');

delete from fnbl_module where id='email';
insert into fnbl_module (id, name, description) values('email','email','Funambol Email Connector');

delete from fnbl_connector where id='email';
insert into fnbl_connector(id, name, description, admin_class) values('email','Email','Funambol Email Connector','com.funambol.email.admin.EmailConnectorConfigPanel');

delete from fnbl_connector_source_type where connector='email' and sourcetype='email-pop3';
insert into fnbl_connector_source_type(connector, sourcetype) values('email','email-pop3');

delete from fnbl_module_connector where module='email' and connector='email';
insert into fnbl_module_connector(module, connector) values('email','email');

-- id for sent emails
delete from fnbl_id where idspace='email.sentid';
delete from fnbl_id where idspace='email.folderid';
insert into fnbl_id (idspace, counter) values('email.sentid',0);
insert into fnbl_id (idspace, counter) values('email.folderid',0);
